gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Structs.Shadow

Contents

- Exported types
- Methods
- Properties
  - color
  - dx
  - dy
  - radius

Description

The shadow parameters in a shadow node.

Synopsis

- newtype Shadow = Shadow (ManagedPtr Shadow)
- newZeroShadow :: MonadIO m => m Shadow
- getShadowColor :: MonadIO m => Shadow -> m RGBA
- getShadowDx :: MonadIO m => Shadow -> m Float
- setShadowDx :: MonadIO m => Shadow -> Float -> m ()
- getShadowDy :: MonadIO m => Shadow -> m Float
- setShadowDy :: MonadIO m => Shadow -> Float -> m ()
- getShadowRadius :: MonadIO m => Shadow -> m Float
- setShadowRadius :: MonadIO m => Shadow -> Float -> m ()

# Exported types

newtype Shadow Source #

Memory-managed wrapper type.

Constructors

Shadow (ManagedPtr Shadow) |

#### Instances

Instances details

Eq Shadow Source # |
Instance details Defined in GI.Gsk.Structs.Shadow Methods (==) :: Shadow -> Shadow -> Bool Source # (/=) :: Shadow -> Shadow -> Bool Source #
BoxedPtr Shadow Source # |
Instance details Defined in GI.Gsk.Structs.Shadow Methods boxedPtrCopy :: Shadow -> IO Shadow Source # boxedPtrFree :: Shadow -> IO () Source #
CallocPtr Shadow Source # |
Instance details Defined in GI.Gsk.Structs.Shadow Methods boxedPtrCalloc :: IO (Ptr Shadow) Source #
ManagedPtrNewtype Shadow Source # |
Instance details Defined in GI.Gsk.Structs.Shadow Methods toManagedPtr :: Shadow -> ManagedPtr Shadow Source #
tag ~ 'AttrSet => Constructible Shadow tag Source # |
Instance details Defined in GI.Gsk.Structs.Shadow Methods new :: MonadIO m => (ManagedPtr Shadow -> Shadow) -> [AttrOp Shadow tag] -> m Shadow Source #

newZeroShadow :: MonadIO m => m Shadow Source #

Construct a `Shadow` struct initialized to zero.

# Methods

# Properties

## color

the color of the shadow

getShadowColor :: MonadIO m => Shadow -> m RGBA Source #

Get the value of the “`color`” field. When overloading is enabled, this is equivalent to

    get shadow #color

## dx

the horizontal offset of the shadow

getShadowDx :: MonadIO m => Shadow -> m Float Source #

Get the value of the “`dx`” field. When overloading is enabled, this is equivalent to

    get shadow #dx

setShadowDx :: MonadIO m => Shadow -> Float -> m () Source #

Set the value of the “`dx`” field. When overloading is enabled, this is equivalent to

    set shadow [ #dx := value ]

## dy

the vertical offset of the shadow

getShadowDy :: MonadIO m => Shadow -> m Float Source #

Get the value of the “`dy`” field. When overloading is enabled, this is equivalent to

    get shadow #dy

setShadowDy :: MonadIO m => Shadow -> Float -> m () Source #

Set the value of the “`dy`” field. When overloading is enabled, this is equivalent to

    set shadow [ #dy := value ]

## radius

the radius of the shadow

getShadowRadius :: MonadIO m => Shadow -> m Float Source #

Get the value of the “`radius`” field. When overloading is enabled, this is equivalent to

    get shadow #radius

setShadowRadius :: MonadIO m => Shadow -> Float -> m () Source #

Set the value of the “`radius`” field. When overloading is enabled, this is equivalent to

    set shadow [ #radius := value ]